%define	_snapshot	-pre20000412

Summary: Talk client for one-on-one Internet chatting.
Name: talk
Version: 0.17
Release: 9
Copyright: BSD
Group: Applications/Internet
Source: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel/netkit-ntalk-%{version}%{_snapshot}.tar.gz
Source1: talk-xinetd
Source2: ntalk-xinetd
Patch: netkit-ntalk-0.17-pre20000412-time.patch
Obsoletes: ntalk
Provides: ntalk
BuildRoot: %{_tmppath}/%{name}-root

%description
The talk package provides client and daemon programs for the Internet
talk protocol, which allows you to chat with other users on different
systems.  Talk is a communication program which copies lines from one
terminal to the terminal of another user.

Install talk if you'd like to use talk for chatting with users on
different systems.

%package server
Group: System Environment/Daemons
Obsoletes: ntalk
Provides: ntalk
Requires: xinetd
Summary: The talk server for one-on-one Internet chatting.

%description server
The talk-server package provides daemon programs for the Internet talk
protocol, which allows you to chat with other users on different
machines.  Talk is a communication program which copies lines from one
terminal to the terminal of another user.

%prep
%setup -q -n netkit-ntalk-%{version}%{_snapshot}
%patch -p1 -b .time

%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS) -D_GNU_SOURCE,;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG

make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}

make INSTALLROOT=${RPM_BUILD_ROOT} install

mkdir -p ${RPM_BUILD_ROOT}/etc/xinetd.d
install -m644 %SOURCE1 ${RPM_BUILD_ROOT}/etc/xinetd.d/talk
install -m644 %SOURCE2 ${RPM_BUILD_ROOT}/etc/xinetd.d/ntalk

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/talk
%{_mandir}/man1/*

%files server
%defattr(-,root,root)
%attr(0711,root,root)%{_sbindir}/in.ntalkd
%{_sbindir}/in.talkd
%{_mandir}/man8/*
%config(noreplace) /etc/xinetd.d/*

%changelog
* Tue Feb 27 2001 Preston Brown <pbrown@redhat.com>
- %%config(noreplace) xinetd.d files

* Fri Feb 23 2001 Jakub Jelinek <jakub@redhat.com>
- make it build under glibc 2.2.2

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- default to being disabled

* Tue Jul 18 2000 Bill Nottingham <notting@redhat.com>
- add description & default to xinetd file

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to 0.17-pre20000412.

* Tue May 23 2000 Trond Eivind Glomsrd <teg@redhat.com>
- switch to xinetd

* Tue May 16 2000 Chris Evans <chris@ferret.lmh.ox.ac.uk>
- make daemons mode -rwx--x--x as a security hardening measure 

* Fri Mar 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.17

* Wed Feb  9 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages (again).

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions
- man pages are compressed

* Tue Jan  4 2000 Bill Nottingham <notting@redhat.com>
- split client and server

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Sat Aug 21 1999 Jeff Johnson <jbj@redhat.com>
- build for 6.1.

* Sun Jun 20 1999 Jeff Johnson <jbj@redhat.com>
- handle both talk and otalk packets (#2799).

* Fri Apr  9 1999 Jeff Johnson <jbj@redhat.com>
- update to multi-homed 0.11 version.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 14 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
